Công cụ: get_user_profile
Lấy thông tin hồ sơ về bản thân (tên và email).
Mẫu sau đây minh hoạ cách sử dụng curl để gọi công cụ MCP get_user_profile.
| Yêu cầu Curl |
|---|
curl --location 'https://people.googleapis.com/mcp/v1' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "get_user_profile", "arguments": { // provide these details according to the tool MCP specification } }, "jsonrpc": "2.0", "id": 1 }' |
Giản đồ đầu vào
Thông báo yêu cầu cho GetUserProfile.
Giản đồ đầu ra
Thông báo phản hồi cho GetUserProfile.
GetUserProfileResponse
| Biểu diễn dưới dạng JSON |
|---|
{ "name": string, "emailAddress": string } |
| Trường | |
|---|---|
name |
Tên hiển thị của người dùng. |
emailAddress |
Địa chỉ email của tài khoản người dùng. |
Chú thích công cụ
Gợi ý mang tính phá hoại: ❌ | Gợi ý về tính luỹ đẳng: ✅ | Gợi ý chỉ đọc: ✅ | Gợi ý về thế giới mở: ❌